| GET | /RestApi/files-api |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Path | query | string | No | |
| Extension | query | string | No | |
| Skip | query | int | No | |
| Take | query | int | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Items | form | IEnumerable<FilesItemViewModel> | No | |
| Error | form | string | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Name | form | string | No | |
| IsFolder | form | bool | No | |
| HasChildren | form | bool | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/files-api HTTP/1.1 Host: www.asg.com.au Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
Error: String
}